Subject: bug#46573: 28.0.50; Error when edebugging setting unbound place

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 17 Feb 2021 00:09:17 +0100

Stefan Monnier <[email-masked]> writes:

>> (put 'gv-place 'edebug-form-spec '(form)) ;So-called "indirect spec".
>>
>> That's certainly not correct for the simplest forms like
>
> This has been there since the introduction of `gv`, so I think it
> *is* correct.  The problem is elsewhere (likely introduced by some of
> my recent changes to Edebug).

Darn!  I thought I had finally learned how to read edebug specs.  :-/  I
though `form' meant that it's going to be instrumented?  Hm...  but it's
`(form)' which means, er, uhm.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no